Bug 866239 - Review Request: gemini-blueprint - Reference Implementation of the OSGi Blueprint Service
Review Request: gemini-blueprint - Reference Implementation of the OSGi Bluep...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 875692 881753
  Show dependency treegraph
 
Reported: 2012-10-14 15:43 EDT by gil cattaneo
Modified: 2013-05-02 22:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-27 23:51:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
orion: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-10-14 15:43:50 EDT
Spec URL: http://gil.fedorapeople.org/gemini-blueprint.spec
SRPM URL: http://gil.fedorapeople.org/gemini-blueprint-1.0.2-1.fc16.src.rpm
Description: Eclipse Gemini Blueprint project makes it
easy to build Java applications that run
in an OSGi framework. 
By using Gemini Blueprint, applications
benefit from using a better separation of
modules, the ability to dynamically add,
remove, and update modules in a running system,
the ability to deploy multiple versions of a
module simultaneously (and have clients
automatically bind to the appropriate one),
and a dynamic service model.

NOTE: Eclipse Gemini Blueprint can be considered the
successor of Spring DM (OSGi) 2.x (http://www.springsource.org/osgi).
Fedora Account System Username: gil

tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4589338
Comment 1 Mikolaj Izdebski 2012-10-15 10:08:48 EDT
The summary is misleading. Looking at bug title only I thought that this package was yet another OSGi framework (like Equinox or Felix)
Comment 2 gil cattaneo 2012-10-15 12:54:58 EDT
hi Mikolaj,
sound better as "Reference Implementation of the OSGi Blueprint Service"?
thanks
Comment 4 Orion Poplawski 2013-04-19 14:42:37 EDT
Why not use https://github.com/glyn/Gemini-Blueprint/archive/gemini-blueprint-1.0.0.RELEASE.tar.gz for Source0?
Comment 5 gil cattaneo 2013-04-20 01:28:43 EDT
(In reply to comment #4)
> Why not use
> https://github.com/glyn/Gemini-Blueprint/archive/gemini-blueprint-1.0.0.
> RELEASE.tar.gz for Source0?
hi
because it is an older version...
Comment 6 Orion Poplawski 2013-04-22 18:28:36 EDT
Indeed - I am blind.

Failing to build in mock:

+ mvn-rpmbuild -Dproject.build.sourceEncoding=UTF-8 -Dmaven.test.failure.ignore=true install javadoc:aggregate
/var/tmp/rpm-tmp.o6CdLT: line 30: mvn-rpmbuild: command not found
Comment 7 gil cattaneo 2013-04-22 19:34:28 EDT
yes sorry forgot to replace maven with maven-local

Spec URL: http://gil.fedorapeople.org/gemini-blueprint.spec
SRPM URL: http://gil.fedorapeople.org/gemini-blueprint-1.0.2-1.fc18.src.rpm
Comment 8 Orion Poplawski 2013-04-23 12:31:34 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

== Issues ==

- Need some clarification on the two licenses in the spec.  Also, there is one BSD file - test-support/src/main/java/org/eclipse/gemini/blueprint/test/internal/util/DependencyVisitor.java, though I suspect that isn't shipped.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[-]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "BSD (3 clause)", "Unknown or generated". 3 files have
     unknown license. Detailed output of licensecheck in
     /export/home/orion/redhat/gemini-blueprint-1.0.2/866239-gemini-
     blueprint/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[!]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 7 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package has BuildArch: noarch (if possible)
[x]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gemini-blueprint-1.0.2-1.fc18.noarch.rpm
          gemini-blueprint-javadoc-1.0.2-1.fc18.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gemini-blueprint gemini-blueprint-javadoc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Jar and class files in source
-----------------------------
./gemini-blueprint-1.0.2.RELEASE/integration-tests/tests/src/test/resources/expanded-bundle.jar
- False positive - this is a directory

Requires
--------
gemini-blueprint (rpmlib, GLIBC filtered):
    aopalliance
    felix-osgi-compendium
    felix-osgi-core
    java
    jpackage-utils
    log4j
    slf4j
    springframework
    springframework-aop
    springframework-beans
    springframework-context
    springframework-context-support

gemini-blueprint-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
gemini-blueprint:
    gemini-blueprint
    mvn(org.eclipse.gemini.blueprint:gemini-blueprint)
    mvn(org.eclipse.gemini.blueprint:gemini-blueprint-core)
    mvn(org.eclipse.gemini.blueprint:gemini-blueprint-extender)
    mvn(org.eclipse.gemini.blueprint:gemini-blueprint-io)
    mvn(org.eclipse.gemini.blueprint:gemini-blueprint-mock)
    osgi(org.eclipse.gemini.blueprint.core)
    osgi(org.eclipse.gemini.blueprint.extender)
    osgi(org.eclipse.gemini.blueprint.io)
    osgi(org.eclipse.gemini.blueprint.mock)

gemini-blueprint-javadoc:
    gemini-blueprint-javadoc



MD5-sum check
-------------
Using local file /export/home/orion/redhat/gemini-blueprint-1.0.2/gemini-blueprint-1.0.2.RELEASE-src-git.tar.xz as upstream
file:///export/home/orion/redhat/gemini-blueprint-1.0.2/gemini-blueprint-1.0.2.RELEASE-src-git.tar.xz :
  CHECKSUM(SHA256) this package     : c1b3c6ec64e267865de901172c72fbf13d5d90008b0912ab267873d28286d218
  CHECKSUM(SHA256) upstream package : 9f0a29029c9a728d59649473104f9482cf05c3bb5538488df81ae2e0a5b835f0
However, diff -r shows no differences


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 866239
Comment 10 Orion Poplawski 2013-04-23 13:28:44 EDT
Great.  Approved.
Comment 11 gil cattaneo 2013-04-23 13:35:22 EDT
New Package SCM Request
=======================
Package Name: gemini-blueprint
Short Description: Reference Implementation of the OSGi Blueprint Service
Owners: gil
Branches: f18 f19
InitialCC: java-sig
Comment 12 Jon Ciesla 2013-04-23 13:39:35 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2013-04-23 14:21:00 EDT
gemini-blueprint-1.0.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gemini-blueprint-1.0.2-2.fc19
Comment 14 Fedora Update System 2013-04-23 14:33:38 EDT
gemini-blueprint-1.0.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gemini-blueprint-1.0.2-2.fc18
Comment 15 Fedora Update System 2013-04-24 12:34:35 EDT
gemini-blueprint-1.0.2-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 16 Fedora Update System 2013-04-27 23:51:49 EDT
gemini-blueprint-1.0.2-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 17 Fedora Update System 2013-05-02 22:02:42 EDT
gemini-blueprint-1.0.2-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.